fair::mq::ofi::Poller Class Referencefinal

`#include <fairmq/ofi/Poller.h>`

Inheritance diagram for fair::mq::ofi::Poller:
[legend]
Collaboration diagram for fair::mq::ofi::Poller:
[legend]

## Public Member Functions

| Poller (const std::vector< FairMQChannel > &channels)
| Poller (const std::vector< const FairMQChannel * > &channels)
| Poller (const std::unordered_map< std::string, std::vector< FairMQChannel >> &channelsMap, const std::vector< std::string > &channelList)
| Poller (const Poller &)=delete
Poller | operator= (const Poller &)=delete
auto | SetItemEvents (zmq_pollitem_t &item, const int type) -> void
auto | Poll (const int timeout) -> void override
auto | CheckInput (const int index) -> bool override
auto | CheckOutput (const int index) -> bool override
auto | CheckInput (const std::string channelKey, const int index) -> bool override
auto | CheckOutput (const std::string channelKey, const int index) -> bool override
Public Member Functions inherited from FairMQPoller
virtual bool | CheckInput (const std::string &channelKey, const int index)=0
virtual bool | CheckOutput (const std::string &channelKey, const int index)=0

## Friends

class | FairMQChannel
class | TransportFactory

## Detailed Description

Todo:
  TODO insert long description

The documentation for this class was generated from the following files:

- fairmq/ofi/Poller.h
- fairmq/ofi/Poller.cxx

privacy